- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoManhattanDistance< MOEOT > Class Template Reference

A class allowing to compute the Manhattan distance between two solutions in the objective space normalized objective values (i.e. More...

`#include <moeoManhattanDistance.h>`

Inheritance diagram for moeoManhattanDistance< MOEOT >:

List of all members.

## Public Types
typedef MOEOT::ObjectiveVector | ObjectiveVector
| the objective vector type of the solutions
## Public Member Functions
const double | operator() (const MOEOT &_moeo1, const MOEOT &_moeo2)
| Returns the Manhattan distance between _moeo1 and _moeo2 in the objective space.

## Detailed Description

### template<class MOEOT>
class moeoManhattanDistance< MOEOT >

A class allowing to compute the Manhattan distance between two solutions in the objective space normalized objective values (i.e.

between 0 and 1). A distance value then lies between 0 and nObjectives.

Definition at line 24 of file moeoManhattanDistance.h.

## Member Function Documentation

template<class MOEOT>

const double moeoManhattanDistance< MOEOT >::operator() | ( | const MOEOT & | _moeo1,
|  | const MOEOT & | _moeo2 |
| ) |  |  | `[inline]`

Returns the Manhattan distance between _moeo1 and _moeo2 in the objective space.

Parameters:

  | _moeo1 | the first solution
  | _moeo2 | the second solution

Definition at line 37 of file moeoManhattanDistance.h.

References moeoNormalizedDistance< MOEOT >::bounds.

The documentation for this class was generated from the following file:

- moeoManhattanDistance.h